5 Replies Latest reply on Oct 5, 2018 5:26 PM by CaptMidnight

    VMware Workstation for Linux 14.1 and Fedora 28 - install error and resolution

    JackShaftoe Lurker

      During an attempt to run WS (14.1.1 build-7528167) after an uneventful install on Fedora 28, the modules would not compile correctly. To correct the errors, the following worked for me:

       

      # dnf install elfutils-libelf-devel

      # cp /usr/include/linux/version.h /lib/modules/$(uname -r)/build/include/linux/

      # vmware-modconfig --console --install-all

       

      HTH and let me know if you have any questions.

       

       

      Note: This workaround is also valid for 14.1.2 build-8497320

       

      Message was edited by: Jack Shaftoe [14.1.2 build-8497320 compatibility]